#!/usr/bin/perl
###########################
##  AutoRank Pro v3.0.0  ##
##################################################
##  lwp.pl - AutoRank Pro LWP functions         ##
##################################################

package lwp;

use lib '.';                                      ## You may need to set this to the full path to cgiworks.pm
use strict;
use cgiworks;
use LWP::UserAgent;

1;

#################################################################################
##  Removing any code from this file which creates the link back to CGI Works  ##
##  is a copyright violation.  If your site is found to have removed the link  ##
##  your software license will be terminated and the proper authorities will   ##
##  be contacted.  Do not remove any code that creates the link to CGI Works.  ##
#################################################################################

sub checkurl {
  my $url = shift;
  my $ua = new LWP::UserAgent;
  $ua->agent('AutoRankPro/$arp::ver');
  $ua->timeout(20);

  my $req = new HTTP::Request 'GET' => $url;
  my $res = $ua->request($req);

  return if($res->is_success);
  lwperror($url, $res->code . " " . $res->message);
}

sub lwperror {
  $TPL{'URL'} = @_[0];
  $TPL{'MSG'} = @_[1];
  fparse('_error_lwp.htmlt');
  exit;
}